/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizaccessrecord.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizaccessrecord.entity.BizAccessRecord;
import vip.xiaonuo.biz.modular.bizaccessrecord.param.BizAccessRecordAddParam;
import vip.xiaonuo.biz.modular.bizaccessrecord.param.BizAccessRecordEditParam;
import vip.xiaonuo.biz.modular.bizaccessrecord.param.BizAccessRecordIdParam;
import vip.xiaonuo.biz.modular.bizaccessrecord.param.BizAccessRecordPageParam;

import java.util.List;

/**
 * 门禁记录表Service接口
 *
 * @author fanzherong
 * @date  2025/03/25 16:48
 **/
public interface BizAccessRecordService extends IService<BizAccessRecord> {

    /**
     * 获取门禁记录表分页
     *
     * @author fanzherong
     * @date  2025/03/25 16:48
     */
    Page<BizAccessRecord> page(BizAccessRecordPageParam bizAccessRecordPageParam);

    /**
     * 添加门禁记录表
     *
     * @author fanzherong
     * @date  2025/03/25 16:48
     */
    void add(BizAccessRecordAddParam bizAccessRecordAddParam);

    /**
     * 编辑门禁记录表
     *
     * @author fanzherong
     * @date  2025/03/25 16:48
     */
    void edit(BizAccessRecordEditParam bizAccessRecordEditParam);

    /**
     * 删除门禁记录表
     *
     * @author fanzherong
     * @date  2025/03/25 16:48
     */
    void delete(List<BizAccessRecordIdParam> bizAccessRecordIdParamList);

    /**
     * 获取门禁记录表详情
     *
     * @author fanzherong
     * @date  2025/03/25 16:48
     */
    BizAccessRecord detail(BizAccessRecordIdParam bizAccessRecordIdParam);

    /**
     * 获取门禁记录表详情
     *
     * @author fanzherong
     * @date  2025/03/25 16:48
     **/
    BizAccessRecord queryEntity(String id);
}
