/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizappointmentrecord.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.servlet.http.HttpServletResponse;
import vip.xiaonuo.biz.modular.bizappointmentrecord.entity.BizAppointmentRecord;
import vip.xiaonuo.biz.modular.bizappointmentrecord.param.BizAppointmentRecordAddParam;
import vip.xiaonuo.biz.modular.bizappointmentrecord.param.BizAppointmentRecordEditParam;
import vip.xiaonuo.biz.modular.bizappointmentrecord.param.BizAppointmentRecordIdParam;
import vip.xiaonuo.biz.modular.bizappointmentrecord.param.BizAppointmentRecordPageParam;
import vip.xiaonuo.biz.modular.bizorder.param.BizOrderPageParam;

import java.io.IOException;
import java.util.List;

/**
 * 预约记录Service接口
 *
 * @author fanzherong
 * @date  2025/03/24 14:47
 **/
public interface BizAppointmentRecordService extends IService<BizAppointmentRecord> {

    /**
     * 获取预约记录分页
     *
     * @author fanzherong
     * @date  2025/03/24 14:47
     */
    Page<BizAppointmentRecord> page(BizAppointmentRecordPageParam bizAppointmentRecordPageParam);

    /**
     * 添加预约记录
     *
     * @author fanzherong
     * @date  2025/03/24 14:47
     */
    void add(BizAppointmentRecordAddParam bizAppointmentRecordAddParam);

    /**
     * 编辑预约记录
     *
     * @author fanzherong
     * @date  2025/03/24 14:47
     */
    void edit(BizAppointmentRecordEditParam bizAppointmentRecordEditParam);

    /**
     * 删除预约记录
     *
     * @author fanzherong
     * @date  2025/03/24 14:47
     */
    void delete(List<BizAppointmentRecordIdParam> bizAppointmentRecordIdParamList);

    /**
     * 获取预约记录详情
     *
     * @author fanzherong
     * @date  2025/03/24 14:47
     */
    BizAppointmentRecord detail(BizAppointmentRecordIdParam bizAppointmentRecordIdParam);

    /**
     * 获取预约记录详情
     *
     * @author fanzherong
     * @date  2025/03/24 14:47
     **/
    BizAppointmentRecord queryEntity(String id);

    /**审核*/
    void auditRecord(BizAppointmentRecordEditParam bizAppointmentRecordEditParam);

    /**导出报表*/
    void exportRecord(BizAppointmentRecordPageParam bizAppointmentRecordPageParam, HttpServletResponse response) throws IOException;

    /**地磅端门禁和过磅校验*/
    BizAppointmentRecord checkAppointmentRecord(BizAppointmentRecordPageParam bizAppointmentRecordPageParam);

    /**取消排队**/
    void cancelAppointmentRecord(BizAppointmentRecordIdParam bizAppointmentRecordIdParam);

    /**调整订单*/
    void adjustOrder(BizAppointmentRecordEditParam bizAppointmentRecordEditParam);

    /**获取当前时间的预约*/
    BizAppointmentRecord getAppointmentRecord(BizAppointmentRecordPageParam bizAppointmentRecordPageParam);
}
