/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizorderconfig.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizorderconfig.entity.BizOrderConfig;
import vip.xiaonuo.biz.modular.bizorderconfig.param.BizOrderConfigAddParam;
import vip.xiaonuo.biz.modular.bizorderconfig.param.BizOrderConfigEditParam;
import vip.xiaonuo.biz.modular.bizorderconfig.param.BizOrderConfigIdParam;
import vip.xiaonuo.biz.modular.bizorderconfig.param.BizOrderConfigPageParam;

import java.util.List;

/**
 * 订单配置Service接口
 *
 * @author fanzherong
 * @date  2025/04/03 15:13
 **/
public interface BizOrderConfigService extends IService<BizOrderConfig> {

    /**
     * 获取订单配置分页
     *
     * @author fanzherong
     * @date  2025/04/03 15:13
     */
    Page<BizOrderConfig> page(BizOrderConfigPageParam bizOrderConfigPageParam);

    /**
     * 添加订单配置
     *
     * @author fanzherong
     * @date  2025/04/03 15:13
     */
    void add(BizOrderConfigAddParam bizOrderConfigAddParam);

    /**
     * 编辑订单配置
     *
     * @author fanzherong
     * @date  2025/04/03 15:13
     */
    void edit(BizOrderConfigEditParam bizOrderConfigEditParam);

    /**
     * 删除订单配置
     *
     * @author fanzherong
     * @date  2025/04/03 15:13
     */
    void delete(List<BizOrderConfigIdParam> bizOrderConfigIdParamList);

    /**
     * 获取订单配置详情
     *
     * @author fanzherong
     * @date  2025/04/03 15:13
     */
    BizOrderConfig detail(BizOrderConfigIdParam bizOrderConfigIdParam);

    /**
     * 获取订单配置详情
     *
     * @author fanzherong
     * @date  2025/04/03 15:13
     **/
    BizOrderConfig queryEntity(String id);

    /**
     * 查询订单扫码次数配置
     */
    Page<BizOrderConfig> getConfig(BizOrderConfigIdParam bizOrderConfigIdParam);
}
