/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.goodsConf.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;

import java.util.Date;

/**
 * 提货时间配置表编辑参数
 *
 * @author sandy
 * @date  2025/03/27 10:54
 **/
@Getter
@Setter
public class BizGoodsConfEditParam {

    /** 主键 */
    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 货品编码 */
    @Schema(description = "货品编码", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "货品编码不能为空")
    private String goodsCode;

    /** 货品名称 */
    @Schema(description = "货品名称", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "货品名称不能为空")
    private String goodsName;

    /** 货品规格 */
    @Schema(description = "货品规格")
    private String goodsModel;

    /** 提货开始时间 */
    @Schema(description = "提货开始时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "提货开始时间不能为空")
    private String confStartTime;

    /** 提货结束时间 */
    @Schema(description = "提货结束时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "提货结束时间不能为空")
    private String confEndTime;

    /** 可提重量（KG） */
    @Schema(description = "可提重量", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "可提重量不能为空")
    private Double confWeight;

}
